regex_compiler.h File Reference

Go to the source code of this file.

## Classes

struct | std::__detail::_BracketMatcher< _TraitsT >
struct | std::__detail::_BracketMatcher< _TraitsT >
class | std::__detail::_Compiler< _FwdIter, _TraitsT >

## Namespaces

| std
| std::__detail

## Typedefs

template<typename _Iter , typename _TraitsT >
using | std::__detail::__disable_if_contiguous_normal_iter = typename enable_if< !__is_contiguous_normal_iter< _Iter >::value, std::shared_ptr< _NFA< _TraitsT >> >::type
template<typename _Iter , typename _TraitsT >
using | std::__detail::__enable_if_contiguous_normal_iter = typename enable_if< __is_contiguous_normal_iter< _Iter >::value, std::shared_ptr< _NFA< _TraitsT >> >::type

## Functions

template<typename _FwdIter , typename _TraitsT >
__disable_if_contiguous_normal_iter < _FwdIter, _TraitsT > | std::__detail::__compile_nfa (_FwdIter __first, _FwdIter __last, const _TraitsT &__traits, regex_constants::syntax_option_type __flags)
template<typename _Iter , typename _TraitsT >
__enable_if_contiguous_normal_iter < _Iter, _TraitsT > | std::__detail::__compile_nfa (_Iter __first, _Iter __last, const _TraitsT &__traits, regex_constants::syntax_option_type __flags)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_compiler.h.